Page MenuHomePhabricator

LocalFilePurgeThumbnails hook occurs after thumbnails cleared
Closed, ResolvedPublic

Description

In includes/filerepo/file/LocalFile.php, the hook LocalFilePurgeThumbnails appears to exist so that the wiki can purge thumbnails from caches. However, since it occurs after the line:

		$this->purgeThumbList( $dir, $files );

It only returns the folder, not the files that (used to) exist.

Can we have the hook moved before the purgeThumbList code, in both instances?


Version: 1.22.3
Severity: normal

Details

Reference
bz62273

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:01 AM
bzimport set Reference to bz62273.
bzimport added a subscriber: Unknown Object (MLST).
Prod created this task.Mar 5 2014, 9:17 PM

Thanks for taking the time to report this!

If you are interested in creating a patch to fix this and put it into Gerrit, please see https://www.mediawiki.org/wiki/Developer_access

Change 118424 had a related patch set uploaded by Prod:
Execute LocalFilePurgeThumbnails hook before purging thumbnails

https://gerrit.wikimedia.org/r/118424

Change 118424 merged by jenkins-bot:
Execute LocalFilePurgeThumbnails hook before purging thumbnails

https://gerrit.wikimedia.org/r/118424

Prod added a comment.Mar 25 2014, 4:09 AM

This appears to now be sending a proper list of all the existing files so that I can have them properly purged. Marking as RESOLVED FIXED.

Gilles raised the priority of this task from Medium to Unbreak Now!.Dec 4 2014, 10:25 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Medium.Dec 4 2014, 11:21 AM